#include <stdio.h>
#include <stdlib.h>

int main()
{
     long long int n,temp,szamok;
    scanf("%lli", &n);
    long long int szam[n],i,elso, utolso;
    for(i=0; i<n; i++)
    {
        scanf("%lli", &szam[i]);
    }

    if(n==2)
    {
        printf("%lli %lli",szam[1],szam[0]);
    }
    else
    {

        for(szamok=9; szamok>=2; szamok--)
        {
            utolso=-1;
            elso=-1;
            for(i=0; i<n; i++)
            {
                if(szam[i]<szamok)
                {
                    elso=i;
                    break;
                }

            }
            for(i=n-1;i>=0;i--)
            {
                if(szam[i]==szamok)
                {
                    utolso=i;
                    break;
                }
            }
            if (elso==-1)
            {
                 break;
            }

            else  if(utolso>elso)
            {
                temp=szam[utolso];
                szam[utolso]= szam[elso];
                szam[elso]= temp;
                break;
            }

        }
         for(i=0;i<n;i++)
        {
        printf("%lli ", szam[i]);
        }
    }

    return 0;
}